Merge ~pwlars/checkbox/+git/support:more-pmr-fixes into ~checkbox-dev/checkbox/+git/support:master

Proposed by Paul Larson
Status: Merged
Approved by: Paul Larson
Approved revision: 31bea573a7303b48115e3d66f6ce9d5193e13d34
Merged at revision: 1c7d55bc290efe430d0620880d39dfd15c43f476
Proposed branch: ~pwlars/checkbox/+git/support:more-pmr-fixes
Merge into: ~checkbox-dev/checkbox/+git/support:master
Diff against target: 51 lines (+4/-10)
2 files modified
get-external-tarballs (+1/-7)
install-pip-from-source (+3/-3)
Reviewer Review Type Date Requested Status
Sylvain Pineau (community) Approve
Review via email: mp+333972@code.launchpad.net

Description of the change

I've created the closest thing I can to a test environment for this, and used this, plus my other changes at https://github.com/checkbox/external-tarballs/pull/6/files to test the following projects:

checkbox-ng
plainbox
plainbox-provider-snappy
plainbox-provider-plano

These changes resolve the corner cases that some of these seemed to be having on trusty, and most importantly, the ones related to proxy access and older versions of urllib3/pip/requests

I *think* this should work for hwcert now, but it's hard to know for sure if there's still some other corner case out there.

To post a comment you must log in.
Revision history for this message
Sylvain Pineau (sylvain-pineau) wrote :

+1

review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1diff --git a/get-external-tarballs b/get-external-tarballs
2index 80cb583..4a1fb93 100755
3--- a/get-external-tarballs
4+++ b/get-external-tarballs
5@@ -27,7 +27,7 @@ if [ "$CHECKBOX_TOP" = "" ]; then
6 exit 100
7 fi
8
9-# Ensure that we have git
10+# Ensure that we have git
11 if [ "$(which git)" = "" ]; then
12 echo "E: you need to have git installed first"
13 exit 101
14@@ -47,9 +47,3 @@ cd $CHECKBOX_TOP/support/external-tarballs
15 if ! git fetch origin --quiet; then
16 echo "W: cannot perform fetch, external-tarballs may be out of date"
17 fi
18-
19-# Ensure that we are on the correct revision
20-if ! git checkout $(cat $CHECKBOX_TOP/support/external-tarballs-revision.txt); then
21- echo "E: cannot switch to required commit!"
22- exit 1
23-fi
24diff --git a/install-pip-from-source b/install-pip-from-source
25index 9f631d7..0b1c00f 100755
26--- a/install-pip-from-source
27+++ b/install-pip-from-source
28@@ -31,7 +31,7 @@ fi
29 if [ ! -d "$CHECKBOX_TOP/support/external-tarballs" ]; then
30 echo "E: you need to have $CHECKBOX_TOP/support/external-tarballs to run this script"
31 echo "I: git clone https://github.com/checkbox/external-tarballs $CHECKBOX_TOP/support/external-tarballs"
32- exit 101
33+ exit 101
34 fi
35
36 # Ensure that we have python3
37@@ -45,7 +45,7 @@ build_dir=$(mktemp -d)
38 trap "rm -rf \"$build_dir\"" EXIT
39
40 # Unpack pip source
41-tar zxf $CHECKBOX_TOP/support/external-tarballs/pypi/pip-1.3.1.tar.gz -C "$build_dir"
42+tar zxf $CHECKBOX_TOP/support/external-tarballs/pypi/pip-9.0.1.tar.gz -C "$build_dir"
43
44 # Set a http_proxy to the local discard port to prevent setuptools from
45 # downloading anything.
46@@ -53,4 +53,4 @@ export http_proxy=http://127.0.0.1:9
47
48 # Install it
49 echo "I: installing pip from source"
50-cd "$build_dir/pip-1.3.1/" && python3 setup.py install --quiet --quiet
51+cd "$build_dir/pip-9.0.1/" && python3 setup.py install --quiet --quiet

Subscribers

People subscribed via source and target branches